This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 815042 - (CVE-2011-3062) CVE-2011-3062 Mozilla: Off-by-one error in OpenType Sanitizer (MFSA 2012-31)
CVE-2011-3062 Mozilla: Off-by-one error in OpenType Sanitizer (MFSA 2012-31)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120424,repor...
: Security
Depends On:
Blocks: 812268
  Show dependency treegraph
 
Reported: 2012-04-22 03:24 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 13:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 17:03:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-04-22 03:24:59 EDT
Mateusz Jurczyk of the Google Security Team discovered an off-by-one error in the OpenType Sanitizer using the Address Sanitizer tool. This can lead to an out-of-bounds read and execution of an uninitialized function pointer during parsing and possible remote code execution. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-31.html
Comment 1 Vincent Danen 2012-04-24 14:01:03 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges Mateusz Jurczyk of the Google Security Team as the original reporter.
Comment 2 errata-xmlrpc 2012-04-24 15:46:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0516 https://rhn.redhat.com/errata/RHSA-2012-0516.html
Comment 3 errata-xmlrpc 2012-04-24 16:02:44 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0515 https://rhn.redhat.com/errata/RHSA-2012-0515.html

Note You need to log in before you can comment on or make changes to this bug.